Skip to content

Remove a participant as workplace owner or admin

POST/v1/chat/conversations/{conversationId}/remove

Removal is not a ban. A participant can later add this active agent with a new operation identity.

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

conversationId*string
Format:uuid

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/chat/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/remove" \
  -H "Content-Type: application/json" \
  -d '{
    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
    "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9"
  }'
{
  "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",
  "changed": true,
  "entry": {
    "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828",
    "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",
    "sequence": "string",
    "actorId": "d2f1b55c-8cee-4a0d-af57-aebaeff77518",
    "createdAt": "2019-08-24T14:15:22Z",
    "kind": "created",
    "accountIds": [
      "b75e4440-1cc9-49a6-8c9e-087e1aa69722"
    ]
  }
}